Type to search.

Set API base Url

  • PUT /platform/configuration/api_base_url
Auth

Saves the API base Url configuration value.

Query parameters

version string

If specified, then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request). If not specified, will unconditionally upsert.

skip_cascading_operations boolean · default: false

Whether or not to skip cascading operations, such as re-provisioning the Security Deployment.

Request body

Data containing the base Url to set

value string required

The configured base Url

Responses

The API base Url was successfully saved.

application/json
value string required

The configured base Url

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)